Issue1758282

classification
Title: complex missing __coerce__
Type: Severity: normal
Components: Core Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: cgroves, pjenvey, ukeshav
Priority: normal Keywords: test failure causes

Created on 2007-07-22.00:38:21 by cgroves, last changed 2008-04-07.05:34:15 by pjenvey.

Messages
msg1755 (view) Author: Charlie Groves (cgroves) Date: 2007-07-22.00:38:21
ComplexTest.test_coerce is expecting complex to have a __coerce__ method, but Jython's implementation lacks it.
msg1756 (view) Author: Charlie Groves (cgroves) Date: 2007-08-06.00:05:40
See http://wiki.python.org/jython/JythonDeveloperGuide/VersionTransitionTestExclusions for how to get the test running again to fix this.
msg1757 (view) Author: keshav upadhyaya (ukeshav) Date: 2007-08-20.13:28:28
This problem can be solved by adding a new __coerce__ function to complex type 
i am checking with all the possibilities and will come with patch very soon.
msg3127 (view) Author: Philip Jenvey (pjenvey) Date: 2008-04-07.05:34:15
fixed in r4312, thanks ukeshav!
History
Date User Action Args
2008-04-07 05:34:15pjenveysetstatus: open -> closed
nosy: + pjenvey
resolution: fixed
messages: + msg3127
components: + Core, - None
2007-07-22 00:38:21cgrovescreate